axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Juergen Kuerpig ext" <Juergen.Kuerpig....@devk.de>
Subject AAR Plugin and Maven 2.0.7
Date Mon, 16 Jul 2007 15:43:23 GMT
Hi,

I'm just using maven2 aar plugin from Axis2 distribution in version 1.2, I doing this in both
Maven versions 2.0.6 and 2.0.7 within
a multi module project.
Anyway, my first action was to patch component.xml for packaging phase. Seems to be that component.xml
doesn't fit.
After this patch, in Maven 2.0.6 everything seems to be well and got not an error on my build
executions.
In Maven 2.0.7, now get some errors:

First error:
Cannot configure filesets anymore with Maven 2.0.7 and got the follwing error:
...
[INFO] ------------------------------------------------------------------------
[ERROR] FATAL ERROR
[INFO] ------------------------------------------------------------------------
[INFO] null
[INFO] ------------------------------------------------------------------------
[DEBUG] Trace
java.lang.ArrayStoreException
        at java.lang.System.arraycopy(Native Method)
        at java.util.ArrayList.toArray(ArrayList.java:305)
        at org.codehaus.plexus.component.configurator.converters.composite.ArrayConverter.fromConfiguration(ArrayConverter.java:141)
        at org.codehaus.plexus.component.configurator.converters.ComponentValueSetter.configure(ComponentValueSetter.java:247)
...

Second error:
Error occurs only running the whole project within maven reactor. Seems to be that default
build life cycle was disturbed by
aar-plugin configuration and following war child project with war-plugin fails on packaging
phase where the aar-plugin has been
hooked-in just before and even setting the extension tag in configuration won't help (as a
typical bug fix in this situation):
...
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Internal error in the plugin manager executing goal 'org.apache.maven.plugins:maven-war-plugin:2.0.2:war':
Unable
 to find the mojo 'org.apache.maven.plugins:maven-war-plugin:2.0.2:war' in the plugin 'org.apache.maven.plugins:maven-wa
r-plugin'
[INFO] ------------------------------------------------------------------------
[DEBUG] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Internal error in the plugin manager
executing goal 'org.apache.
maven.plugins:maven-war-plugin:2.0.2:war': Unable to find the mojo 'org.apache.maven.plugins:maven-war-plugin:2.0.2:war'
 in the plugin 'org.apache.maven.plugins:maven-war-plugin'
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:543)
...

Is there anything missing in maven 2.0.7 distribution or is this indeed an error in the aar-plugin
nevermore able to run with maven
newer than with maven 2.0.6 ?

Cheers, Juergen




---------------------------------------------------------------------
To unsubscribe, e-mail: axis-user-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-user-help@ws.apache.org


Mime
View raw message